﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace WcfCore
{
	public class WcfException : ApplicationException
	{
		private const string _message = "Dummy exception to test performance of throwing and handling exceptions.";

		public WcfException()
			: this(null)
		{
		}

		public WcfException(Exception inner)
			: base(_message, inner)
		{
		}

		public WcfException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
}
